VERSION 5.00
Begin VB.Form Form1 
   BorderStyle     =   4  'Fixed ToolWindow
   Caption         =   "Shaders - Part 1"
   ClientHeight    =   5775
   ClientLeft      =   5415
   ClientTop       =   2265
   ClientWidth     =   7065
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   5775
   ScaleWidth      =   7065
   ShowInTaskbar   =   0   'False
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'-----------------------------------------
' TrueVision Tutorials : Shaders (Part 1)
'-----------------------------------------
'
' Shaders allows you to make very great effects.
' like textures animation. This technique is illustrated
' in this tutorial

Public TV As New TrueVision8
Public Scene As New Scene8

Public Flame As Mesh8
Public Explosion As Mesh8
Public Inp As New InputEngine8
Private Sub Form_Load()

   'Init TrueVision in fullscreen mode with FPS
   
   If TV.ShowDriverDialog = False Then End
   TV.Initialize
   TV.SetSearchDirectory App.Path
   TV.DisplayFPS = True
   
   'Load the shader script
   'NOTE : Look at this script : it's the most important thing of this tutorial !
   'NOTE : The textures are loaded before loading the shaders.
   Scene.LoadShaders "common.shader"
 
   'Create the billboard on which the shaders will be applied
   Set Flame = Scene.CreateBillboard(Nothing, 0, 0, 0, 20, 40)
   Set Explosion = Scene.CreateBillboard(Nothing, 50, 0, 0, 40, 40)
 
  'Apply the shader to the mesh
  'Note that the shader names are defined in the Script file
  Flame.SetShader GetShader("Flame1")
  Explosion.SetShader GetShader("Explosion")
 
  'Set Camera in order to see both objects
  Scene.SetCamera 25, 0, -50, 25, 0, 0
 
 'Simple Game loop
 Do
   TV.Clear
   Scene.RenderAllMeshes
   TV.RenderToScreen
 Loop Until Inp.IsKeyPressed(TV_KEY_ESCAPE) = True

 Set TV = Nothing
 End
End Sub


